/////////////////////////////////////////////////////////////////////////////
//
//  This file is Copyright 1992 by Warwick W. Allison,
//  and is freely distributable providing no charge is made.
//
/////////////////////////////////////////////////////////////////////////////

#include "tgem.h"
#include "gem++.h"
#include "slider.h"

GEMrsc RSC("tgem.rsc");
GEMdesktop Desktop(DESKTOP);
GEMform About(ABOUT);
GEMformwindow Tests(TESTS);

class Menu : public GEMmenu
{
	ClickResult Do(int item);
};

ClickResult Menu::Do(int item)
{
	switch (item) {
		case DOABOUT:	About.Do();
	break;	case OPENTEST:	Tests.open();
	break;	case DOQUIT:	return EndInteraction;
	}
	return ContinueInteraction;
}

Menu menu(MENU);


main()
{
	Slider SimpleSlider(SIMPKNOB,SIMPSLID,Tests);
	Slider VertSlider(VKNOB,VRACK,Tests);
	Slider HorzSlider(HKNOB,HRACK,Tests);

	GEMactivity Application(menu,Desktop);
	Application.AddWindow(Tests);
	Application.Do();
}
